XnDump.h File Reference
`#include "XnPlatform.h"`
`#include "XnStatus.h"`

Go to the source code of this file.

## Macros

#define | xnDumpFileWriteBuffer(pFile, pBuffer, nBufferSize)
#define | xnDumpFileClose(pFile)
#define | xnDumpFileWriteString(pFile, strFormat, ...)

## Typedefs

typedef struct XnDumpFile | XnDumpFile

## Functions

XN_C_API XnStatus XN_C_DECL | xnDumpSetMaskState (const XnChar *strMask, XnBool bEnabled)
XN_C_API XnBool XN_C_DECL | xnLogIsDumpMaskEnabled (const XnChar *strDumpMask)
XN_C_API XnDumpFile *XN_C_DECL | xnDumpFileOpen (const XnChar *strDumpName, const XnChar *strNameFormat,...)
XN_C_API XnDumpFile *XN_C_DECL | xnDumpFileOpenEx (const XnChar *strDumpName, XnBool bForce, XnBool bSessionDump, const XnChar *strNameFormat,...)

## Macro Definition Documentation

## xnDumpFileClose

#define xnDumpFileClose | ( |  | pFile | ) |

Value:
if ((pFile) != NULL) \
{ \
_xnDumpFileClose(pFile); \
pFile = NULL; \
} \

## xnDumpFileWriteBuffer

#define xnDumpFileWriteBuffer | ( |  | pFile,
|  |  | pBuffer,
|  |  | nBufferSize )

Value:
if ((pFile) != NULL) \
{ \
_xnDumpFileWriteBuffer(pFile, pBuffer, nBufferSize); \
} \

## xnDumpFileWriteString

#define xnDumpFileWriteString | ( |  | pFile,
|  |  | strFormat,
|  |  | ... )

Value:
if ((pFile) != NULL) \
{ \
_xnDumpFileWriteString(pFile, strFormat, __VA_ARGS__); \
}

## Typedef Documentation

## XnDumpFile

typedef struct XnDumpFile XnDumpFile

## Function Documentation

## xnDumpFileOpen()

XN_C_API XnDumpFile *XN_C_DECL xnDumpFileOpen | ( | const XnChar * | strDumpName,
|  | const XnChar * | strNameFormat,
|  |  | ... )

Opens a file for writing dump.

Parameters

  strDumpName | [in] Name of the dump mask this file belongs to.
  strNameFormat | [in] A format string for the name of the file.

Returns
  a file handle for writing data. The file should be closed using xnDumpFileClose().

## xnDumpFileOpenEx()

XN_C_API XnDumpFile *XN_C_DECL xnDumpFileOpenEx | ( | const XnChar * | strDumpName,
|  | XnBool | bForce,
|  | XnBool | bSessionDump,
|  | const XnChar * | strNameFormat,
|  |  | ... )

Opens a file for writing dump using some advanced options.

You would usually prefer to use xnDumpFileOpen().

Parameters

  strDumpName | [in] Name of the dump mask this file belongs to.
  bForce | [in] When TRUE, file will be created even if dump is currently off.
  bSessionDump | [in] When TRUE, file will be created with current session timestamp as a prefix to its name.
  strNameFormat | [in] A format string for the name of the file.

Returns
  a file handle for writing data. The file should be closed using xnDumpFileClose().

## xnDumpSetMaskState()

XN_C_API XnStatus XN_C_DECL xnDumpSetMaskState | ( | const XnChar * | strMask,
|  | XnBool | bEnabled )

Configures if a specific dump mask is enabled.

Parameters

  strMask | [in] The mask to set.
  bEnabled | [in] TRUE to enable this dump, FALSE otherwise.

## xnLogIsDumpMaskEnabled()

XN_C_API XnBool XN_C_DECL xnLogIsDumpMaskEnabled | ( | const XnChar * | strDumpMask | ) |

This function checks if a dump mask is enabled

Parameters

  strDumpMask | [in] The mask that should be checked.